Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(10)

Issue 1782053004: Change how the quota system computes the total poolsize for temporary storage (Closed)

Created:
3 years, 7 months ago by michaeln
Modified:
2 years, 8 months ago
CC:
chromium-reviews, benwells
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Change how the quota system computes the poolsize for temporary storage. Adds a QuotaSettings datastructure and changes how the total poolsize for temporary storage is determined. This CL adds a public content API that the embedder must use to inform the quota system of the desired QuotaSettings. The old computation: [available_space + current_temp_usage] / 3 The new computation: [total_volume_size - os_overhead] / 3 The new computation is simplified to be a function of the size of the volume, and no longer takes as input how much chrome is currently using. This also reduces the time take to initialize the quota system. To defend against filling the drive, as available space gets "too low", as it approaches |must_remain_available|, the calculated per-host quota is clamped to the hosts current usage. This prevents the writing of new data because quota clients query GetUsageAndQuota() prior to performing a write. Also the eviction logic deletes existing data to keep |should_remain_available| disk space free. Settings.must_remain_available = 1% of total_volume_size Settings.should_remain_available = 10% BUG=520318 Review-Url: https://codereview.chromium.org/1782053004 Cr-Commit-Position: refs/heads/master@{#448510} Committed: https://chromium.googlesource.com/chromium/src/+/10e5fc3598c9f2e1015458c814a1163680465b3e

Patch Set 1 #

Patch Set 2 : existing tests pass #

Patch Set 3 : #

Total comments: 16

Patch Set 4 : #

Patch Set 5 : #

Total comments: 12

Patch Set 6 : #

Patch Set 7 : poolSize #

Patch Set 8 : poolSize #

Total comments: 12

Patch Set 9 : address review comments #

Total comments: 4

Patch Set 10 : poolSize #

Patch Set 11 : poolSize #

Patch Set 12 : tests compile #

Patch Set 13 : big delta #

Total comments: 13

Patch Set 14 : rebase #

Total comments: 20

Patch Set 15 : some test fixes #

Patch Set 16 : tests #

Patch Set 17 : again #

Patch Set 18 : onemoretime #

Patch Set 19 : nameless #

Patch Set 20 : non-descript #

Patch Set 21 : non-descript #

Patch Set 22 : comments #

Patch Set 23 : test fixes #

Patch Set 24 : renames + Optional<QuotaSettings> api #

Patch Set 25 : rebase #

Patch Set 26 : git cl format #

Patch Set 27 : GetQuotaSettings() overrides #

Patch Set 28 : more of the above #

Patch Set 29 : rebase #

Patch Set 30 : git cl format #

Patch Set 31 : yet another GetQuotaSettings override :( #

Patch Set 32 : GN #

Patch Set 33 : compile #

Patch Set 34 : poolSize #

Patch Set 35 : poolSize #

Patch Set 36 : finally maybe #

Patch Set 37 : rebase #

Total comments: 11

Patch Set 38 : downloads_api_browsertest #

Patch Set 39 : rebase #

Total comments: 12

Patch Set 40 : comments #

Total comments: 14

Patch Set 41 : comments #

Patch Set 42 : remove CanQueryDiskSize() #

Patch Set 43 : more #

Total comments: 2

Patch Set 44 : rebase #

Patch Set 45 : removed QuotaEvictionPolicy #

Total comments: 4

Patch Set 46 : compile #

Patch Set 47 : rebase #

Total comments: 11

Patch Set 48 : rebase #

Patch Set 49 : compile (payment unittests) #

Total comments: 1

Patch Set 50 : comments #

Patch Set 51 : rebase #

Total comments: 2

Patch Set 52 : rebase #

Patch Set 53 : rebase #

Patch Set 54 : rebase #

Patch Set 55 : InProcessBrowserTest and SetDefaultQuotaSettingsForTesting #

Total comments: 1

Patch Set 56 : poolSize #

Total comments: 1

Patch Set 57 : rebase #

Patch Set 58 : poolSize #

Patch Set 59 : rebase #

Patch Set 60 : compile #

Patch Set 61 : rebase #

Patch Set 62 : compile + decrease 'must_remain_available' to 2% from 10% #

Patch Set 63 : lower must_remain_available to 1% #

Patch Set 64 : distinquish between should and must remain available #

Patch Set 65 : rebase #

Patch Set 66 : rebase #

Total comments: 1

Patch Set 67 : std::tuple & settings.should_remain_available #

Patch Set 68 : rebase #

Total comments: 7

Patch Set 69 : comments #

Patch Set 70 : rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1377 lines, -1812 lines) Patch
M android_webview/browser/DEPS View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 1 chunk +2 lines, -0 lines 0 comments Download
M android_webview/browser/aw_content_browser_client.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 1 chunk +4 lines, -0 lines 0 comments Download
M android_webview/browser/aw_content_browser_client.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 3 chunks +13 lines, -0 lines 0 comments Download
M ash/shell/content/client/DEPS View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 1 chunk +1 line, -0 lines 0 comments Download
M ash/shell/content/client/shell_content_browser_client.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 1 chunk +4 lines, -0 lines 0 comments Download
M ash/shell/content/client/shell_content_browser_client.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 2 chunks +15 lines, -0 lines 0 comments Download
M base/time/time.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 2 chunks +6 lines, -1 line 0 comments Download
M base/time/time.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 1 chunk +0 lines, -5 lines 0 comments Download
M chrome/browser/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 1 chunk +0 lines, -2 lines 0 comments Download
M chrome/browser/browsing_data/browsing_data_quota_helper_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 1 chunk +2 lines, -2 lines 0 comments Download
M chrome/browser/chrome_content_browser_client.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 3 chunks +11 lines, -2 lines 0 comments Download
M chrome/browser/chrome_content_browser_client.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 4 chunks +22 lines, -7 lines 0 comments Download
D chrome/browser/engagement/site_engagement_eviction_policy.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 1 chunk +0 lines, -56 lines 0 comments Download
D chrome/browser/engagement/site_engagement_eviction_policy.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 1 chunk +0 lines, -144 lines 0 comments Download
D chrome/browser/engagement/site_engagement_eviction_policy_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 1 chunk +0 lines, -173 lines 0 comments Download
M chrome/browser/engagement/site_engagement_service.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 1 chunk +0 lines, -1 line 0 comments Download
M chrome/browser/extensions/api/downloads/downloads_api_browsertest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 3 chunks +10 lines, -16 lines 0 comments Download
M chrome/browser/extensions/api/sync_file_system/sync_file_system_apitest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 4 chunks +1 line, -8 lines 0 comments Download
M chrome/browser/extensions/api/sync_file_system/sync_file_system_browsertest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 3 chunks +1 line, -15 lines 0 comments Download
M chrome/browser/extensions/extension_special_storage_policy.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 2 chunks +0 lines, -2 lines 0 comments Download
M chrome/browser/extensions/extension_special_storage_policy.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 4 chunks +0 lines, -12 lines 0 comments Download
M chrome/browser/extensions/extension_special_storage_policy_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 1 chunk +0 lines, -17 lines 0 comments Download
M chrome/browser/extensions/extension_storage_monitor.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 2 chunks +9 lines, -13 lines 0 comments Download
M chrome/browser/extensions/mock_extension_special_storage_policy.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 1 chunk +0 lines, -1 line 0 comments Download
M chrome/browser/extensions/mock_extension_special_storage_policy.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 1 chunk +0 lines, -4 lines 0 comments Download
M chrome/browser/sync_file_system/local/canned_syncable_file_system.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 1 chunk +2 lines, -1 line 0 comments Download
M chrome/browser/ui/webui/quota_internals/quota_internals_proxy.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 1 chunk +2 lines, -4 lines 0 comments Download
M chrome/browser/ui/webui/quota_internals/quota_internals_proxy.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 2 chunks +14 lines, -26 lines 0 comments Download
M chrome/test/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 1 chunk +0 lines, -1 line 0 comments Download
M chrome/test/DEPS View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 1 chunk +2 lines, -0 lines 0 comments Download
M chrome/test/base/in_process_browser_test.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 2 chunks +4 lines, -0 lines 0 comments Download
M chrome/test/base/in_process_browser_test.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 3 chunks +8 lines, -0 lines 0 comments Download
M chromecast/browser/cast_content_browser_client.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 1 chunk +4 lines, -0 lines 0 comments Download
M chromecast/browser/cast_content_browser_client.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 2 chunks +11 lines, -0 lines 0 comments Download
M content/browser/appcache/appcache_host_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +1 line, -1 line 0 comments Download
M content/browser/appcache/appcache_storage_impl_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 3 chunks +5 lines, -4 lines 0 comments Download
M content/browser/background_sync/background_sync_manager_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 1 chunk +1 line, -3 lines 0 comments Download
M content/browser/background_sync/background_sync_service_impl_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 1 chunk +1 line, -3 lines 0 comments Download
M content/browser/browsing_data/clear_site_data_throttle_browsertest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 2 chunks +8 lines, -0 lines 0 comments Download
M content/browser/database_tracker_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +1 line, -1 line 0 comments Download
M content/browser/fileapi/file_system_browsertest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 1 chunk +13 lines, -15 lines 0 comments Download
M content/browser/fileapi/obfuscated_file_util_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 1 chunk +8 lines, -1 line 0 comments Download
M content/browser/indexed_db/indexed_db_browsertest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 1 chunk +13 lines, -15 lines 0 comments Download
M content/browser/quota/mock_quota_manager.h View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +1 line, -1 line 0 comments Download
M content/browser/quota/mock_quota_manager.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 1 chunk +6 lines, -7 lines 0 comments Download
M content/browser/quota/mock_quota_manager_proxy.h View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +1 line, -1 line 0 comments Download
M content/browser/quota/mock_quota_manager_proxy.cc View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +1 line, -1 line 0 comments Download
M content/browser/quota/quota_backend_impl_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +1 line, -1 line 0 comments Download
M content/browser/quota/quota_manager_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 31 chunks +127 lines, -182 lines 0 comments Download
M content/browser/quota/quota_temporary_storage_evictor_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 15 chunks +55 lines, -73 lines 0 comments Download
M content/browser/quota/storage_monitor_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 4 chunks +6 lines, -4 lines 0 comments Download
M content/browser/storage_partition_impl.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 4 chunks +10 lines, -18 lines 0 comments Download
M content/browser/storage_partition_impl.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 5 chunks +60 lines, -98 lines 0 comments Download
M content/browser/storage_partition_impl_map.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 1 chunk +0 lines, -4 lines 0 comments Download
M content/public/browser/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 2 chunks +3 lines, -1 line 0 comments Download
M content/public/browser/content_browser_client.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 4 chunks +9 lines, -5 lines 0 comments Download
M content/public/browser/content_browser_client.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 2 chunks +7 lines, -4 lines 0 comments Download
M content/public/test/mock_special_storage_policy.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 4 chunks +0 lines, -7 lines 0 comments Download
M content/public/test/mock_special_storage_policy.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 1 chunk +0 lines, -4 lines 0 comments Download
M content/shell/browser/layout_test/layout_test_browser_main_parts.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 3 chunks +0 lines, -20 lines 0 comments Download
M content/shell/browser/layout_test/layout_test_content_browser_client.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 1 chunk +4 lines, -0 lines 0 comments Download
M content/shell/browser/layout_test/layout_test_content_browser_client.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 1 chunk +7 lines, -0 lines 0 comments Download
M content/shell/browser/layout_test/layout_test_message_filter.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 1 chunk +1 line, -3 lines 0 comments Download
M content/shell/browser/shell_content_browser_client.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 1 chunk +4 lines, -0 lines 0 comments Download
M content/shell/browser/shell_content_browser_client.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 2 chunks +8 lines, -0 lines 0 comments Download
M content/test/test_content_browser_client.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 1 chunk +4 lines, -0 lines 0 comments Download
M content/test/test_content_browser_client.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 2 chunks +8 lines, -0 lines 0 comments Download
M extensions/shell/browser/shell_content_browser_client.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 1 chunk +4 lines, -1 line 0 comments Download
M extensions/shell/browser/shell_content_browser_client.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 2 chunks +12 lines, -0 lines 0 comments Download
M extensions/shell/browser/shell_special_storage_policy.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 1 chunk +0 lines, -1 line 0 comments Download
M extensions/shell/browser/shell_special_storage_policy.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 1 chunk +0 lines, -4 lines 0 comments Download
M headless/lib/browser/DEPS View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 1 chunk +1 line, -0 lines 0 comments Download
M headless/lib/browser/headless_content_browser_client.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 1 chunk +4 lines, -0 lines 0 comments Download
M headless/lib/browser/headless_content_browser_client.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 2 chunks +13 lines, -0 lines 0 comments Download
M storage/browser/BUILD.gn View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 1 chunk +2 lines, -0 lines 0 comments Download
M storage/browser/quota/client_usage_tracker.h View 1 2 3 4 5 1 chunk +1 line, -0 lines 0 comments Download
M storage/browser/quota/client_usage_tracker.cc View 1 2 3 4 5 6 7 8 9 10 1 chunk +9 lines, -0 lines 0 comments Download
M storage/browser/quota/quota_manager.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 20 chunks +79 lines, -128 lines 0 comments Download
M storage/browser/quota/quota_manager.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 24 chunks +399 lines, -578 lines 0 comments Download
M storage/browser/quota/quota_manager_proxy.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 2 chunks +5 lines, -7 lines 0 comments Download
M storage/browser/quota/quota_manager_proxy.cc View 1 2 3 4 5 6 7 8 9 10 11 12 2 chunks +2 lines, -2 lines 0 comments Download
A storage/browser/quota/quota_settings.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 1 chunk +90 lines, -0 lines 0 comments Download
A storage/browser/quota/quota_settings.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 1 chunk +88 lines, -0 lines 0 comments Download
M storage/browser/quota/quota_temporary_storage_evictor.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 64 65 66 3 chunks +8 lines, -26 lines 0 comments Download
M storage/browser/quota/quota_temporary_storage_evictor.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 8 chunks +45 lines, -70 lines 0 comments Download
M storage/browser/quota/special_storage_policy.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 1 chunk +0 lines, -4 lines 0 comments Download
M storage/browser/quota/usage_tracker.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 1 chunk +2 lines, -1 line 0 comments Download
M storage/browser/quota/usage_tracker.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 1 chunk +7 lines, -0 lines 0 comments Download
M tools/metrics/histograms/histograms.xml View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 5 chunks +64 lines, -0 lines 0 comments Download
M ui/views_content_client/DEPS View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 1 chunk +1 line, -0 lines 0 comments Download
M ui/views_content_client/views_content_browser_client.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 1 chunk +4 lines, -0 lines 0 comments Download
M ui/views_content_client/views_content_browser_client.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 2 chunks +15 lines, -0 lines 0 comments Download

Messages

Total messages: 257 (179 generated)
michaeln
I think this is ready for a look. https://codereview.chromium.org/1782053004/diff/40001/storage/browser/quota/quota_manager.cc File storage/browser/quota/quota_manager.cc (left): https://codereview.chromium.org/1782053004/diff/40001/storage/browser/quota/quota_manager.cc#oldcode303 storage/browser/quota/quota_manager.cc:303: if ...
3 years, 6 months ago (2016-03-22 21:40:15 UTC) #6
michaeln
https://codereview.chromium.org/1782053004/diff/40001/storage/browser/quota/quota_manager.cc File storage/browser/quota/quota_manager.cc (right): https://codereview.chromium.org/1782053004/diff/40001/storage/browser/quota/quota_manager.cc#newcode65 storage/browser/quota/quota_manager.cc:65: const uint64_t kOsAccomodation = 250 * kMBytes; these specific ...
3 years, 6 months ago (2016-03-22 22:23:55 UTC) #7
jsbell
Initial notes. Still wrapping my brain around things. We should probably add more comments throughout ...
3 years, 6 months ago (2016-03-23 18:08:29 UTC) #11
michaeln
> Initial notes. Still wrapping my brain around things. updated the cl in response to ...
3 years, 6 months ago (2016-04-07 00:32:34 UTC) #12
jsbell
I haven't looked in detail at the tests. Are we close enough that I should ...
3 years, 6 months ago (2016-04-07 19:33:41 UTC) #13
michaeln
no new snapshot yet, i'll ping you again when i have one, just replying to ...
3 years, 6 months ago (2016-04-07 20:54:48 UTC) #14
michaeln
@kinuko @jsbell, this cl is not ready yet but I'd like to get feedback on ...
3 years, 2 months ago (2016-07-26 22:07:27 UTC) #16
kinuko
Thanks for cleaning the temp storage quota calculation. (I only looked into the content client ...
3 years, 2 months ago (2016-07-27 14:23:25 UTC) #17
michaeln
thnx for looking https://codereview.chromium.org/1782053004/diff/80001/storage/browser/quota/quota_manager.cc File storage/browser/quota/quota_manager.cc (right): https://codereview.chromium.org/1782053004/diff/80001/storage/browser/quota/quota_manager.cc#newcode1808 storage/browser/quota/quota_manager.cc:1808: total -= kOsAccomodation; // todo: what ...
3 years, 2 months ago (2016-07-27 19:57:48 UTC) #18
jsbell
https://codereview.chromium.org/1782053004/diff/140001/storage/browser/quota/quota_manager.h File storage/browser/quota/quota_manager.h (right): https://codereview.chromium.org/1782053004/diff/140001/storage/browser/quota/quota_manager.h#newcode136 storage/browser/quota/quota_manager.h:136: // The target size of the shared pool of ...
3 years, 2 months ago (2016-07-27 20:18:30 UTC) #19
michaeln
Thnx, I tweeked the content api and set of config values as suggested. The CL ...
3 years, 2 months ago (2016-07-28 02:06:28 UTC) #20
kinuko
Thanks, reg: public API: while what you mentioned in your comment makes sense too the ...
3 years, 2 months ago (2016-07-28 15:49:18 UTC) #21
michaeln
Not yet ready, but this i hope this is getting closer +1039 lines, -1089 lines ...
3 years ago (2016-10-14 23:51:48 UTC) #22
jsbell
looking good! A few UMA-specific comments and otherwise it looks ready for final polish. https://codereview.chromium.org/1782053004/diff/240001/chrome/browser/chrome_content_browser_client.cc ...
2 years, 12 months ago (2016-10-17 23:56:54 UTC) #23
cmumford
Interim comments - still reviewing. https://codereview.chromium.org/1782053004/diff/240001/storage/browser/quota/quota_manager.cc File storage/browser/quota/quota_manager.cc (right): https://codereview.chromium.org/1782053004/diff/240001/storage/browser/quota/quota_manager.cc#newcode237 storage/browser/quota/quota_manager.cc:237: is_incognito_(is_incognito), field 'is_incognito_' will ...
2 years, 11 months ago (2016-10-25 20:30:54 UTC) #36
michaeln
https://codereview.chromium.org/1782053004/diff/240001/chrome/browser/chrome_content_browser_client.cc File chrome/browser/chrome_content_browser_client.cc (right): https://codereview.chromium.org/1782053004/diff/240001/chrome/browser/chrome_content_browser_client.cc#newcode2104 chrome/browser/chrome_content_browser_client.cc:2104: // the os and essential application code outside of ...
2 years, 11 months ago (2016-10-26 21:47:54 UTC) #47